POST
Authorize a withdrawal

Authorizations

Authorization
string
header
required

The authorization field takes the session bearer returned by sign-in, or an API key where the route allows keys. Paste the token itself into the authorization field.

Headers

Idempotency-Key
string
required
Minimum string length: 1

Path Parameters

withdrawalId
string
required
Minimum string length: 1

Body

application/json
accountId
string
required
Minimum string length: 1
authorizationId
string
required
Minimum string length: 1
nonce
string
required
Minimum string length: 1

Response

Accepted for processing

version
string
required
Allowed value: "external-withdrawal/v1"
withdrawalId
string
required
Minimum string length: 1
accountId
string
required
Minimum string length: 1
asset
string
required
Minimum string length: 1
amount
string
required
Pattern: ^[0-9]+(?:\.[0-9]+)?$
status
enum<string>
required
Available options:
requested,
reserved,
authorized,
submitted,
blocked
lastSequence
integer
required
Required range: x >= 0
idempotencyKey
string
Minimum string length: 1